Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.proxy
Class AddPreambleEditor

    java.lang.Object
      HttpEditor
          scone.proxy.HtmlTokenEditor
              scone.proxy.AddPreambleEditor

    public class AddPreambleEditor

extends HtmlTokenEditor

Adds a preamble to a Html-Document.
The preamble is written before the <body>-Tag, or before the document body begins.

usage

``

     preambleAdder = new AddPreambleHtmlTokenHandler();
     preambleAdder.addPreambleString("foo");
     controller.addMonitor(preambleAdder);

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`static HtmlTextToken` | `preamble`

Fields inherited from class scone.proxy.HtmlTokenEditor
`e`

Constructor Summary
`AddPreambleEditor()`

Method Summary
`static void` | `addPreambleString(java.lang.String preambleString)` add a String to preamble
`void` | `handleRequest(SconePipe pipe)` tries to add the preamble: before </head>-Tag before <body>-Tag before <frameset>-Tag before heading before table before link (<A> or <AREA>-Tag before image before form before preformatted text

Methods inherited from class scone.proxy.HtmlTokenEditor
`setResponseHeaderField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### preamble

    public static HtmlTextToken preamble

Constructor Detail

### AddPreambleEditor

    public AddPreambleEditor()

Method Detail

### addPreambleString

    public static void addPreambleString(java.lang.String preambleString)

  add a String to preamble

  Parameters:
    `preambleString` - the String which will be inserted.

### handleRequest

    public void handleRequest(SconePipe pipe)

  tries to add the preamble:
  1. before </head>-Tag
  2. before <body>-Tag
  3. before <frameset>-Tag
  4. before heading
  5. before table
  6. before link (<A> or <AREA>-Tag
  7. before image
  8. before form
  9. before preformatted text

  Overrides:
    `handleRequest` in class `HtmlTokenEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD